﻿angular.module("GpiApiApp")
    .controller("RelatedContent", ['$scope', function ($scope, editorState, userService, contentResource, languageResource, notificationsService, gpiResource) {

        var vm = this;
        vm.QuoteName = '';
        vm.RelatedContentList = [];
        vm.SettingsId = location.search.substring(location.search.indexOf('settingsId')+1,location.search.indexOf('&')).split('=')[1];
        vm.ContentId = location.search.substring(location.search.indexOf('&')+1).split('=')[1];

        vm.Loading = function (theScope) {
            vm.loading = true;
            vm.loading = false;
        }
        vm.init = function (theScope) {
            vm.getRelatedContentList(theScope);
            vm.Loading();
        };

        vm.GetRelatedContentList = () => {
            return fetch(location.pathname.replace("/RelatedContent", "/GetRelatedContent?settingsId=" + vm.SettingsId + "&id=" + vm.ContentId), {
                method: 'GET',
                headers: {
                    'Content-Type': 'application/json'
                  },
            })
                .then(response => response.json())
                .catch(err => console.log(err))
            };

        vm.getRelatedContentList = function (event, element) {

            vm.GetRelatedContentList().then(function (relatedContentList) {
                vm.RelatedContentList = [];
                angular.forEach(relatedContentList, function (relatedContent) {
                    vm.RelatedContentList.push(relatedContent);
                });
            });
        };

        vm.init($scope);
        setInterval(function() {
            $scope.$apply();
        }, 500);
        
    }]);